Support

Akeeba Backup for WordPress

#28923 – Can Watchful.li be used to manually upgrade to 2.4.2?

Posted in ‘Akeeba Backup for WordPress’
This is a public ticket. Everybody will be able to see its contents. Do not include usernames, passwords or any other sensitive information.
Wednesday, 20 December 2017 19:39 CST
webcoast
I have run into the previously reported issue when upgrading from Akeeba Backup 2.4.0 to 2.4.2 for Wordpress, the extraction freezes and never progresses.

I am in the process of updating manually, however this is quite time consuming.

I have a number of clients sites that require upgrading to Akeeba Backup 2.4.2. I have Watchful.li installed on my other sites, is it possible to use the updater via Watchful.li to select the akeebabackupwp-2.4.2-pro.zip and install it remotely on the website? I'm not sure about using this method, as I know Wordpress treats the "installation" of a plugin when the plugin already exists as a second installation, whereas Joomla would know it is an upgrade to the plugin.

I was just wondering whether this would be an option that would save time. If you know of anyone that has used this method successfully can you let me know?

Thanks.
Nicola

Custom Fields

WordPress version (in x.y.z format) 4.9.1
PHP version (in x.y.z format) 7.1.12
Akeeba Backup version (x.y.z format) 2.4.0
 
Thursday, 21 December 2017 00:41 CST
nicholas
Hello Nicola,

I don't know what are the internal working of Watchful.li. Since this depends entirely on the way they have implemented the installation in their proprietary code, to which we don't have access, I can't give you any useful response. Our plugin package follows the WordPress recommendation of packing all files under a top level directory (akeebabackupwp) which is the directory name inside wp-content/plugins where this package should be installed. I think that Watchful.li respects that standard, meaning that the installation maybe results in a upgrade instead of a parallel installation.

If you cannot or don't want to test on a site you may want to ask Watchful.li that question.


Nicholas K. Dionysopoulos

Lead Developer and Director



🇬🇷Greek: native

🇬🇧English: excellent

🇫🇷French: basic



Please keep in mind my timezone and cultural differences when reading my replies. Thank you!



Tuesday, 09 January 2018 22:26 CST
webcoast
Hi Nicholas,
I asked Watchful about this, and they said that yes Watchful's remote installer could be used..... so I tried it..... but it did NOT work as expected.

Yes, the Watchful site was able to remotely install the newer version of Akeeba Backup (2.4.2). But what it ACTUALLY did was install a NEW version of the plugin overtop of the existing one, rather than upgrading the existing one. Therefore all configuration settings were lost for the Akeeba Backup plugin and had to be done again (eg download ID, Amazon S3 post processing information etc).

I have replied to the email they sent to me, saying what the result was, so hopefully they will look into it further. They might even contact you, who knows.

With kind regards, and as always, thank you for your help.
Nicola

 
Wednesday, 10 January 2018 00:49 CST
nicholas
The upgrade normally involves extracting our installation package on top of the existing software. That's all our code does and this is what our manual instructions tell you to do.

I believe that their updater first deleted the existing files. That would be wrong, since that removes the wp-content/plugins/akeebabackupwp/app/Solo/engine/secretkey.php file which stores the cryptographic encryption key for the settings. As a result, after the update, your existing settings would be impossible to be decrypted and a new key would be generated automatically. That's speculation, though, since I'm not privy to the internal working of Watchful.


Nicholas K. Dionysopoulos

Lead Developer and Director



🇬🇷Greek: native

🇬🇧English: excellent

🇫🇷French: basic



Please keep in mind my timezone and cultural differences when reading my replies. Thank you!



Friday, 09 February 2018 17:17 CST
system
This ticket has been automatically closed. All tickets which have been inactive for a long time are automatically closed. If you believe that this ticket was closed in error, please contact us.
This ticket is closed, therefore read-only. You can no longer reply to it. If you need to provide more information, please open a new ticket and mention this ticket's number.

Support Information

Working hours: Typically we work Monday to Friday, 9am to 7pm Cyprus timezone (EEST). Support is provided by the same developers writing the software, all of which live in Europe. You can still file tickets, but we cannot respond to them, outside of our working hours.

Support policy: We would like to kindly inform you that when using our support you have already agreed to the Support Policy which is part of our Terms of Service. Thank you for your understanding and for helping us help you!